#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Modules providing phone functionality for Plasma
Name:           plasma-mobile
Version: 5.27.10
Release:        %mkrel %rel
License:        GPLv2+ LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://plasma-mobile.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)

# KDE Frameworks
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5People)
BuildRequires:  cmake(KF5PlasmaQuick)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KWinDBusInterface)
BuildRequires:  cmake(KF5ModemManagerQt)
BuildRequires:  cmake(KF5NetworkManagerQt)
BuildRequires:  cmake(KF5KCMUtils)

BuildRequires:  cmake(LibKWorkspace)
BuildRequires:  cmake(KF5Wayland)
BuildRequires:  cmake(TelepathyQt5)

BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(ModemManager)

BuildRequires:  phonenumber-devel

# runtime dependencies
BuildRequires:  kirigami2
Requires:       kirigami2
BuildRequires:  kpipewire
Requires:       kpipewire

BuildRequires:  cmake(KF5KirigamiAddons)
Recommends:     kirigami-addons

Obsoletes:      plasma-phone-components < 5.24.4
Provides:       plasma-phone-components = %version-%release	

%description
UI components for Plasma Phone.

%files -f plasma_applet_org.kde.phone.homescreen.lang
%doc README.md
%_kf5_bindir/startplasmamobile
%_kf5_qmldir/org/kde/plasma/private/mobileshell/
%_kf5_qmldir/org/kde/plasma/mm/
%_qt5_plugindir/plasma/applets/*.so
%_qt5_plugindir/plasma/kcms/systemsettings/kcm_mobileshell.so
%_kf5_applicationsdir/kcm_mobileshell.desktop
%_kf5_metainfodir/*.appdata.xml
%_kf5_services/*.desktop
%_kf5_datadir/plasma/look-and-feel/org.kde.plasma.phone/
%_kf5_datadir/plasma/plasmoids/org.kde.phone.homescreen/
%_kf5_datadir/plasma/plasmoids/org.kde.phone.homescreen.halcyon/
%_kf5_datadir/plasma/plasmoids/org.kde.phone.panel/
%_kf5_datadir/plasma/plasmoids/org.kde.phone.taskpanel/
%_kf5_datadir/plasma/shells/org.kde.plasma.phoneshell/
%_kf5_datadir/wayland-sessions/plasma-mobile.desktop
%_kf5_knotificationsdir/plasma_phone_components.notifyrc
%_qt5_qml/org/kde/plasma/quicksetting
%_kf5_datadir/kpackage/kcms/kcm_mobileshell
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.airplanemode/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.audio/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.battery/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.bluetooth/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.caffeine/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.donotdisturb/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.flashlight/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.keyboardtoggle/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.mobiledata/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.nightcolor/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.powermenu/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.record/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.screenrotation/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.screenshot/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.settingsapp/
%_kf5_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.wifi/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang plasma_applet_org.kde.phone.homescreen --all-name


%changelog
* Fri Feb 09 2024 neoclust <neoclust> 5.27.10-1.mga9
+ Revision: 2039957
- New version 5.27.10

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958061
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951975
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949099
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945806
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944818
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942085
- New version 5.27.0

* Tue Jan 24 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935890
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930082
- New version 5.26.5

* Thu Dec 15 2022 daviddavid <daviddavid> 5.26.4-2.mga9
+ Revision: 1923351
- add missing runtime dependency on kirigami-addons

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923134
- New version 5.26.4

* Mon Nov 21 2022 neoclust <neoclust> 5.26.3-2.mga9
+ Revision: 1909697
- Rebuild because of a missing package

* Thu Nov 17 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1908561
- New version 5.26.3
- New version 5.26.2
- New version 5.25.90
- New version5.25.4

* Fri Jul 29 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872793
- New version 5.25.3

* Tue May 24 2022 neoclust <neoclust> 5.24.5-1.mga9
+ Revision: 1859979
- New version 5.24.5

* Mon Apr 18 2022 neoclust <neoclust> 5.24.4-1.mga9
+ Revision: 1851174
- imported package plasma-mobile

